[Numpy-discussion] Re: Problems installing NumPy

Russell E. Owen rowen at cesmail.net
Thu Mar 23 10:37:08 CST 2006


In article <4E0ECB41-EF32-4F0E-9DAE-52B55C8AE3A0 at mac.com>,
 Tommy Grav <tgrav at mac.com> wrote:

> I am new to Python and just downloaded ActivePython 2.4.2.10 on my  
> Mac PPC with OS X 10.4.
> I added the numpy package (0.9.6-py2.4) and it imports fine. But when  
> I try pydoc random I
> get this error
> 
> [tgrav at skathi] site-packages/numpy -> pydoc random
> import core -> failed: dlopen(/Library/Frameworks/Python.framework/ 
> Versions/2.4/lib/python2.4/site-packages/numpy/core/multiarray.so,  
> 2): Symbol not found: _PyOS_ascii_strtod
>    Referenced from: /Library/Frameworks/Python.framework/Versions/2.4/ 
> lib/python2.4/site-packages/numpy/core/multiarray.so
>    Expected in: dynamic lookup
>...
> Anyone know what is causing this problem? Is there something in my  
> installation
> of either ActivePython or NumPy that needs to be fixed?

I'm not entirely clear on how what you're typing to get it to fail, but 
perhaps there is a problem in the package installer. If you suspect 
this, you can easily install numpy from source.

-- Russell





More information about the Numpy-discussion mailing list